package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Set;


/**
 * The persistent class for the TCUSTPERSON database table.
 * 
 */
@Entity
@Table(name="TCUSTPERSON")
public class Tcustperson implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private long personcode;

	//bi-directional many-to-one association to Tcustpersonaddress
	@OneToMany(mappedBy="tcustperson")
	private Set<Tcustpersonaddress> tcustpersonaddresses;

	//bi-directional many-to-one association to Tcustpersondetail
	@OneToMany(mappedBy="tcustperson")
	private Set<Tcustpersondetail> tcustpersondetails;

	//bi-directional many-to-one association to Tsafeuser
	@OneToMany(mappedBy="tcustperson")
	private Set<Tsafeuser> tsafeusers;

	//bi-directional many-to-one association to Tcustpersonphone
	@OneToMany(mappedBy="tcustperson")
	private Set<Tcustpersonphone> tcustpersonphones;

	public Tcustperson() {
	}

	public long getPersoncode() {
		return this.personcode;
	}

	public void setPersoncode(long personcode) {
		this.personcode = personcode;
	}

	public Set<Tcustpersonaddress> getTcustpersonaddresses() {
		return this.tcustpersonaddresses;
	}

	public void setTcustpersonaddresses(Set<Tcustpersonaddress> tcustpersonaddresses) {
		this.tcustpersonaddresses = tcustpersonaddresses;
	}

	public Tcustpersonaddress addTcustpersonaddress(Tcustpersonaddress tcustpersonaddress) {
		getTcustpersonaddresses().add(tcustpersonaddress);
		tcustpersonaddress.setTcustperson(this);

		return tcustpersonaddress;
	}

	public Tcustpersonaddress removeTcustpersonaddress(Tcustpersonaddress tcustpersonaddress) {
		getTcustpersonaddresses().remove(tcustpersonaddress);
		tcustpersonaddress.setTcustperson(null);

		return tcustpersonaddress;
	}

	public Set<Tcustpersondetail> getTcustpersondetails() {
		return this.tcustpersondetails;
	}

	public void setTcustpersondetails(Set<Tcustpersondetail> tcustpersondetails) {
		this.tcustpersondetails = tcustpersondetails;
	}

	public Tcustpersondetail addTcustpersondetail(Tcustpersondetail tcustpersondetail) {
		getTcustpersondetails().add(tcustpersondetail);
		tcustpersondetail.setTcustperson(this);

		return tcustpersondetail;
	}

	public Tcustpersondetail removeTcustpersondetail(Tcustpersondetail tcustpersondetail) {
		getTcustpersondetails().remove(tcustpersondetail);
		tcustpersondetail.setTcustperson(null);

		return tcustpersondetail;
	}

	public Set<Tsafeuser> getTsafeusers() {
		return this.tsafeusers;
	}

	public void setTsafeusers(Set<Tsafeuser> tsafeusers) {
		this.tsafeusers = tsafeusers;
	}

	public Tsafeuser addTsafeuser(Tsafeuser tsafeuser) {
		getTsafeusers().add(tsafeuser);
		tsafeuser.setTcustperson(this);

		return tsafeuser;
	}

	public Tsafeuser removeTsafeuser(Tsafeuser tsafeuser) {
		getTsafeusers().remove(tsafeuser);
		tsafeuser.setTcustperson(null);

		return tsafeuser;
	}

	public Set<Tcustpersonphone> getTcustpersonphones() {
		return this.tcustpersonphones;
	}

	public void setTcustpersonphones(Set<Tcustpersonphone> tcustpersonphones) {
		this.tcustpersonphones = tcustpersonphones;
	}

	public Tcustpersonphone addTcustpersonphone(Tcustpersonphone tcustpersonphone) {
		getTcustpersonphones().add(tcustpersonphone);
		tcustpersonphone.setTcustperson(this);

		return tcustpersonphone;
	}

	public Tcustpersonphone removeTcustpersonphone(Tcustpersonphone tcustpersonphone) {
		getTcustpersonphones().remove(tcustpersonphone);
		tcustpersonphone.setTcustperson(null);

		return tcustpersonphone;
	}

}